Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javacardx.framework.util
Class UtilException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javacard.framework.CardRuntimeException
                      javacardx.framework.util.UtilException

    @TransactionType(value=NOT_SUPPORTED)
    public class UtilException

extends CardRuntimeException

`UtilException` represents a util related exception.

Direct instances of this exception class are not bound to any context and can be passed between contexts without any restrictions. Objects created and returned by the methods of this class are owned by the caller. In particular, a call to the `Throwable.toString()` returns a String instance bound to the owner context of the caller.

See Runtime Environment Specification for the Java Card Platform, Connected Edition, chapter 7 for details regarding transfer of ownership.

Since:
  2.2.2

Field Summary
`static short` | `ILLEGAL_VALUE` This reason code is used to indicate that one or more input parameters is not the correct type or is out of allowed bounds.
`static short` | `TYPE_MISMATCHED` This reason code is used to indicate that input parameters are not the same type.

Constructor Summary
`UtilException(short reason)` Constructs a `UtilException` with the specified reason.

Method Summary
`static void` | `throwIt(short reason)` Deprecated. Deprecated for extended applets and web applications on the Connected Edition of the Java Card 3 Platform. Use constructor instead.

Methods inherited from class javacard.framework.CardRuntimeException
`getReason, setReason`

Methods inherited from class java.lang.Throwable
`getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ILLEGAL_VALUE

    public static final short ILLEGAL_VALUE

  This reason code is used to indicate that one or more input parameters is not the correct type or is out of allowed bounds.

  See Also:
    Constant Field Values

### TYPE_MISMATCHED

    public static final short TYPE_MISMATCHED

  This reason code is used to indicate that input parameters are not the same type.

  See Also:
    Constant Field Values

Constructor Detail

### UtilException

    public UtilException(short reason)

  Constructs a `UtilException` with the specified reason.

  Parameters:
    `reason` - the reason for the exception

Method Detail

### throwIt

    public static void throwIt(short reason)

  Deprecated. Deprecated for extended applets and web applications on the Connected Edition of the Java Card 3 Platform. Use constructor instead.

  Throws a new instance of `UtilException` with the specified reason.

  Note that a new instance is thrown upon each call to this method.

  This method is for backward compatibility with Java Card 2.x and for interoperability of classic applet applications with the Java Card 3 Classic edition.

  Parameters:
    `reason` - the reason for the exception
  Throws:
    `UtilException` - always

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.